Package com.io7m.idstore.protocol.admin.cb

# Interface IdA1UserColumn

All Superinterfaces:
  `com.io7m.cedarbridge.runtime.api.CBSerializableType`

All Known Implementing Classes:
  `IdA1UserColumn.ByID`, `IdA1UserColumn.ByIDName`, `IdA1UserColumn.ByRealName`, `IdA1UserColumn.ByTimeCreated`, `IdA1UserColumn.ByTimeUpdated`

public sealed interface IdA1UserColumn extends com.io7m.cedarbridge.runtime.api.CBSerializableType permits IdA1UserColumn.ByID, IdA1UserColumn.ByIDName, IdA1UserColumn.ByRealName, IdA1UserColumn.ByTimeCreated, IdA1UserColumn.ByTimeUpdated
A column to use for sorting users.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static final record`
  `IdA1UserColumn.ByID`
  Order by user ID.
  `static final record`
  `IdA1UserColumn.ByIDName`
  Order by user id name.
  `static final record`
  `IdA1UserColumn.ByRealName`
  Order by user realname.
  `static final record`
  `IdA1UserColumn.ByTimeCreated`
  Order by user creation time.
  `static final record`
  `IdA1UserColumn.ByTimeUpdated`
  Order by user update time.

- ## Method Summary

  Static Methods
  Modifier and Type
  Method
  Description
  `static IdA1UserColumn`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  Deserialize a value of type IdA1UserColumn.
  `static void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, IdA1UserColumn $x)`
  Serialize a value of type IdA1UserColumn.

- ## Method Details

  - ### serialize

    static void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, IdA1UserColumn $x) throws IOException
    Serialize a value of type IdA1UserColumn.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
    Throws:
      `IOException`

  - ### deserialize

    static IdA1UserColumn deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Deserialize a value of type IdA1UserColumn.
    Parameters:
      `$context` - The serialization context.
    Returns:
      A value of type IdA1UserColumn.
    Throws:
      `IOException`